org.apache.maven.artifact.manager

## Class DefaultWagonProviderMapping

- java.lang.Object
- - org.apache.maven.artifact.manager.DefaultWagonProviderMapping

- All Implemented Interfaces:
    WagonProviderMapping

      public class DefaultWagonProviderMapping
      extends java.lang.Object
      implements WagonProviderMapping

- - ### Field Summary

    - ### Fields inherited from interface org.apache.maven.artifact.manager.WagonProviderMapping

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultWagonProviderMapping()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getWagonProvider(java.lang.String protocol)`
    `void` | `setWagonProvider(java.lang.String protocol, java.lang.String provider)`
    `void` | `setWagonProviders(java.util.Map<java.lang.String,java.lang.String> wagonProviders)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultWagonProviderMapping

          public DefaultWagonProviderMapping()

  - ### Method Detail

    - #### getWagonProvider

          public java.lang.String getWagonProvider(java.lang.String protocol)

      Specified by:
        `getWagonProvider` in interface `WagonProviderMapping`

    - #### setWagonProvider

          public void setWagonProvider(java.lang.String protocol,
                              java.lang.String provider)

      Specified by:
        `setWagonProvider` in interface `WagonProviderMapping`

    - #### setWagonProviders

          public void setWagonProviders(java.util.Map<java.lang.String,java.lang.String> wagonProviders)